Governance Structure
====================

It is critically important that a commercial entity should not control Corda Network going forwards, and that it should 
be governed transparently, with a fair and representative structure that can deliver a stable operating environment for 
its members in the long term.

A separate entity called Corda Network Foundation will be set up, using a not-for-profit legal entity type known as a 
Stichting, residing in the Netherlands. This type is suited for governance activities, able to act commercially, with 
limited liability but no shareholders, capital or dividends. Its constitution is defined in a set of Articles of 
Association and By-laws.

A Foundation will enable Network members to be involved with, and also understand, how decisions are made (including 
around issues of identity and permission), building trust and engagement from a wide range of stakeholders. We believe 
this will bring about the best decisions and outcomes for the Network’s long-term success. 

Its governance bodies shall include:

- A **Governing Board** (‘the Board’) of 11 representatives (‘Directors’). 
- A **Technical Advisory Committee** (‘the TAC’), comprised of representatives of Participant organisations. 
- A **Governance Advisory Committee**, comprised of representatives of Participant organisations. 
- A **Network Operator** (‘the Operator’), charging the Foundation reasonable costs for providing network and administration 
services, paid by the Foundation through membership funds, and accountable directly to the Board.

Operating on behalf of:

- **Participants** (‘Participants’), open to any legal entity participating in Corda Network, and independent of R3 
alliance membership.

For more information about the intended governance of the network, please refer to the [Corda Network Foundation : 
Governance Guidelines](governance-guidelines.md) document.